###################################################
### chunk number 1: options
###################################################
#line 41 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
options(width=60)


###################################################
### chunk number 2: exampleGlobalEnv
###################################################
#line 67 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
x <- 1
print(x)


###################################################
### chunk number 3: create
###################################################
#line 176 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
library(filehash)
dbCreate("mydb")
db <- dbInit("mydb")


###################################################
### chunk number 4: setseed1
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
set.seed(100)


###################################################
### chunk number 5: insert
###################################################
#line 203 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
dbInsert(db, "a", rnorm(100))


###################################################
### chunk number 6: fetch
###################################################
#line 208 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
value <- dbFetch(db, "a")
mean(value)


###################################################
### chunk number 7: delete
###################################################
#line 217 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
dbInsert(db, "b", 123)
dbDelete(db, "a")
dbList(db)
dbExists(db, "a")


###################################################
### chunk number 8: accessors
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
db$a <- rnorm(100, 1)
mean(db$a)
mean(db[["a"]])
db$b <- rnorm(100, 2)
dbList(db)


###################################################
### chunk number 9: characteronly
###################################################
#line 242 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
e <- local({
    err <- function(e) e
    tryCatch(db[[1]], error = err)
})
conditionMessage(e)


###################################################
### chunk number 10: with
###################################################
#line 253 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
with(db, c(a = mean(a), b = mean(b)))


###################################################
### chunk number 11: sapply
###################################################
#line 258 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
sapply(db[c("a", "b")], mean)


###################################################
### chunk number 12: lapply
###################################################
#line 264 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
unlist(lapply(db, mean))


###################################################
### chunk number 13: cleanupMyDB
###################################################
#line 278 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
dbUnlink(db)
rm(list = ls(all = TRUE))


###################################################
### chunk number 14: setseed2
###################################################
#line 285 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
set.seed(200)


###################################################
### chunk number 15: testDB
###################################################
#line 307 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
dbCreate("testDB")
db <- dbInit("testDB")
db$x <- rnorm(100)
db$y <- runif(100)
db$a <- letters
dbLoad(db)
ls()


###################################################
### chunk number 16: accessbinding
###################################################
#line 320 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
mean(y)
sort(a)


###################################################
### chunk number 17: assignvalue
###################################################
#line 327 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
y <- rnorm(100, 2)
mean(y)


###################################################
### chunk number 18: removeandload
###################################################
#line 333 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
rm(list = ls())
db <- dbInit("testDB")
dbLoad(db)
ls()
mean(y)


###################################################
### chunk number 19: cleanupTestDB
###################################################
#line 349 "d:/Rcompile/CRANpkg/local/2.12/filehash/inst/doc/filehash.Rnw"
dbUnlink(db)
rm(list = ls(all = TRUE))


